/***************************************************************************
                          proxywidget.h  -  description
                             -------------------
    begin                : ?  5? 13 2003
    copyright            : (C) 2003 by Mike K. Bennett
    email                : mkb137b@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROXYWIDGET_H
#define PROXYWIDGET_H

#include "proxywidgetinterface.h"
#include "../account.h"
/**
  *@author Mike K. Bennett
  */

class ProxyWidget : public ProxyWidgetInterface  {
public: 
	ProxyWidget(QWidget* parent=0, const char* name=0, WFlags fl=0 );
	~ProxyWidget();
  /** No descriptions */
  void loadProxySettings(Account *account);
public slots: // Private slots
  /** No descriptions */
  virtual void useProxyToggled(bool useproxy);
  virtual void proxyTypeChanged(int);

private:
    void setEnableProxyAuth(bool enable);
    void setEnableProxyServer(bool enable);
    void setEnableProxyType(bool enable);
    void setEnabledStatus(bool enable);
};

#endif
